using LittleTown.Blazor.Client.Services;
using LittleTown.Blazor.Client.ViewModels;
using Microsoft.AspNetCore.Components;

namespace LittleTown.Blazor.Client.Pages;

public partial class Match(IMatchService matchServices)
{
    public MatchViewModel MatchViewModel { get; private set; }

    public override Task SetParametersAsync(ParameterView parameters)
    {
        MatchViewModel = new MatchViewModel(matchServices.GetMatch());
        return base.SetParametersAsync(parameters);
    }
}
